# Uses of Interface
net.sourceforge.jiu.color.data.CoOccurrenceMatrix

Packages that use CoOccurrenceMatrix
Package
Description
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.data
net.sourceforge.jiu.color.io
net.sourceforge.jiu.color.quantization

## Uses of CoOccurrenceMatrix in net.sourceforge.jiu.color.analysis

Fields in net.sourceforge.jiu.color.analysis declared as CoOccurrenceMatrix
Modifier and Type
Field
Description
`private CoOccurrenceMatrix`
TextureAnalysis.`matrix`
Methods in net.sourceforge.jiu.color.analysis that return CoOccurrenceMatrix
Modifier and Type
Method
Description
`static CoOccurrenceMatrix`
MatrixCreator.`createCoOccurrenceMatrix(Gray16Image image)`
Create a co-occurrence matrix for a 16 bit grayscale image.
`static CoOccurrenceMatrix`
MatrixCreator.`createCoOccurrenceMatrix(Gray8Image image)`
`static CoOccurrenceMatrix`
MatrixCreator.`createCoOccurrenceMatrix(IntegerImage image, int channelIndex)`
`static CoOccurrenceMatrix`
MatrixCreator.`createCoOccurrenceMatrix(Paletted8Image image)`
Methods in net.sourceforge.jiu.color.analysis with parameters of type CoOccurrenceMatrix
Modifier and Type
Method
Description
`static TextureAnalysis`
TextureAnalysis.`compute(CoOccurrenceMatrix matrix)`
Create a TextureAnalysis operation with the results computed from a given matrix.
`static CoOccurrenceFrequencyMatrix`
MatrixCreator.`createCoOccurrenceFrequencyMatrix(CoOccurrenceMatrix A)`
Creates a new co-occurrence frequency with the same dimension as the argument co-occurrence matrix, calls `MatrixCreator.initCoOccurrenceFrequencyMatrix(net.sourceforge.jiu.color.data.CoOccurrenceMatrix, net.sourceforge.jiu.color.data.CoOccurrenceFrequencyMatrix)` with them to initialize the new matrix, then returns it.
`static void`
MatrixCreator.`initCoOccurrenceFrequencyMatrix(CoOccurrenceMatrix A, CoOccurrenceFrequencyMatrix cofm)`
Initializes a co-occurrence frequency matrix from a co-occurrence matrix.
`static void`
MatrixCreator.`initCoOccurrenceMatrix(IntegerImage image, int channelIndex, CoOccurrenceMatrix matrix)`
Initializes a co-occurrence matrix from the input image, using the direct four neighbor pixels.
`void`
TextureAnalysis.`setMatrix(CoOccurrenceMatrix m)`
Sets the matrix to be used by this operation to the argument value.

## Uses of CoOccurrenceMatrix in net.sourceforge.jiu.color.data

Classes in net.sourceforge.jiu.color.data that implement CoOccurrenceMatrix
Modifier and Type
Class
Description
`class`
`MemoryCoOccurrenceMatrix`
This class stores a co-occurrence matrix, a two-dimensional array of int counters.

## Uses of CoOccurrenceMatrix in net.sourceforge.jiu.color.io

Methods in net.sourceforge.jiu.color.io with parameters of type CoOccurrenceMatrix
Modifier and Type
Method
Description
`static void`
MatrixSerialization.`save(CoOccurrenceMatrix matrix, PrintStream out)`

## Uses of CoOccurrenceMatrix in net.sourceforge.jiu.color.quantization

Methods in net.sourceforge.jiu.color.quantization with parameters of type CoOccurrenceMatrix
Modifier and Type
Method
Description
`private void`
MedianCutContourRemoval.`findColorPairs(CoOccurrenceFrequencyMatrix matrix, CoOccurrenceMatrix A)`